#include<bits/stdc++.h>
#define all(a) a.begin(), a.end()
#define pb push_back
using namespace std;
using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using Mat = vector<vi>;
const char ent = '\n';

int main() {
	ios::sync_with_stdio(0);
	cin.tie(0);
	
	__int128 a, b;
	cin >> a >> b;
	cout << a + b << ent;
	
	return 0;
}